Subject: [tsvwg] Fwd: start of WGLC on L4S drafts: draft-ietf-tsvwg-ecn-l4s-id, GF Issues seen in WGLC

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 9 Nov 2021 12:44:31 +0000

Thanks Bob for addressing these points, I'll look forward to reviewing 
again when asked to.

Best wishes,

Gorry

> On 07/11/2021 22:02, Bob Briscoe wrote:
>> Gorry,
>>
>> Thank you for this these points. See [BB] inline...
>>
>> On 13/08/2021 12:11, Gorry Fairhurst wrote:
>>>
>>> I have reviewed draft-ietf-tsvwg-ecn-l4s-id-19 in WGLC.
>>>
>>> I think this draft provides methods that address an important need - 
>>> to provide techniques to control end to end latency. I provided a 
>>> detailed review of a recent previous version of this ID, and the 
>>> issues I found then have been addressed. Thanks editors. I have 
>>> checked this version and found the three additional issues below.
>>>
>>> I therefore would support *as an individual* progression of this 
>>> draft for publication as EXP.
>>>
>>> Best wishes,
>>>
>>> Gorry
>>> (as individual in tsvwg)
>>>
>>> P.S. I also have a small number of editorial NiTs that I will send 
>>> separately to the list.
>>> ---
>>>
>>> ISSUE 1: To-Do
>>>   “Once disabled, all packets of all ECN codepoints will
>>>    receive Classic treatment and ECT(1) packets MUST be treated as if
>>>    they were {ToDo: Not-ECT / ECT(0) ?}.”
>>> - This RFC-2119 statement is incomplete.
>>> - This issue needs to be discussed.
>>>
>>
>> [BB] It has been discussed on the list, and Not-ECT was selected.
>>
>>>
>>> ---
>>> ISSUE 2: Appendix A.
>>> This appendix is informative, and as such I think we should be 
>>> careful to not imply this as expressing requirements.
>>>
>>> However, the current text contains several lines mentioning 
>>> “requirements”, including the title!
>>>
>>
>> [BB] You're right. This appendix was copied over from the original 
>> problem statement when the normative requirements were written in the 
>> body, but without being change to clarify everywhere that it is 
>> rationale for the requirements. And since I've sometimes been sloppy...
>>
>>>   - is it possible to express this differently and avoid any 
>>> ambiguity as the document receives more review?
>>> I could suggest a few small changes which would seem to me resolve 
>>> this issue:
>>> The title likely needs to be renamed, because it creates most of the 
>>> problem: “The 'Prague L4S Recommendations’ or “The 'Prague L4S 
>>> Design Recommendations’, or similar.
>>>
>>
>> [BB] Titles:
>> A. Rationale for the 'Prague L4S Requirements'
>> A.1 Rationale for the Requirements for Scalable Transport Protocols
>>
>>> Also these small number of specific lines seem to need careful 
>>> rewording, e.g.:
>>> /safety improvements (requirements)/safety improvements ()/
>>> /implementation of the requirements./implementation of these 
>>> recommendations./
>>> /Requirements for Scalable Transport Protocols/Features for Scalable 
>>> Transport Protocols/
>>> /The requirement is written/This is written/
>>> /Similarly to the requirement in Appendix A.1.4 this 
>>> requirement/Similarly to Appendix A.1.4, this/
>>> /Having said all the above, the approach recommended in the 
>>> requirements is to monitor/Having said all the above, the approach 
>>> recommended is to monitor/
>>>
>>
>> [BB] I've searched every occurrence of 'require-' and made sure it 
>> either refers to the normative requirement in the body, or it doesn't 
>> say require.
>> I should post the draft soon, so you'll be able to check the diff.
>>
>>
>>> ---
>>>
>>> ISSUE 3: References
>>> -Please confirm the intended status of:
>>> [I-D.briscoe-docsis-q-protection]
>>>
>>
>> [BB] See previous response to the same question in your other review, 
>> which you confirmed was satisfactory.
>>
>> Thank you again.
>>
>> Cheers
>>
>>
>>
>>
>> Bob
>>
>>>
>>>> -----
>>>>
>>>> On 29.07.21, 18:18, "tsvwg on behalf of Wesley 
>>>> Eddy"<[email-masked] on behalf of [email-masked]>  wrote:
>>>>
>>>>     This message is starting a combined working group last call on 
>>>> 3 of the
>>>>     L4S drafts:
>>>>
>>>>     - 
>>>> Architecture:https://datatracker.ietf.org/doc/draft-ietf-tsvwg-l4s-arch/ 
>>>>
>>>>
>>>>     - DualQ:
>>>> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-aqm-dualq-coupled/
>>>>
>>>>     - ECN 
>>>> ID:https://datatracker.ietf.org/doc/draft-ietf-tsvwg-ecn-l4s-id/
>>>>
>>>>     The WGLC will last through 4 weeks from today, and then we'll 
>>>> see what
>>>>     to do next.  Please submit any comments you have on these to 
>>>> the TSVWG
>>>>     list in that timeframe.
>>>>
>>>>     The chairs are considering a possible virtual interim following 
>>>> the
>>>>     close in order to work through feedback received.
>>>>
>>>>     The work on the L4S operational guidance draft is continuing in
>>>>     parallel, but that draft is not being last called yet.
>>>>
>>>>
>>>
>>
>> -- 
>> ________________________________________________________________
>> Bob Briscoehttp://bobbriscoe.net/

-- 
________________________________________________________________
Bob Briscoehttp://bobbriscoe.net/